function Qty = SetupStep1(y,t)
% A helper function for SplineSmoother.m
%
% t = [t_1,...,t_n]
% h_i = t_{i+1} - t_i, i=1,...,n-1

n = length(t);   % number of data points
h = diff(t);     % calculating h_i = h(i), i=1,...,n-1
dy = diff(y);    % dy(i) = y(i+1)-y(i)

% calculating Q^Ty 
tmp = dy./h;
Qty = diff(tmp); 


% $RCSfile: SetupStep1.m,v $
% $Date: 2008/05/19 20:05:12 $
% $Revision: 1.1 $
%
% Copyright (c) Hannes Helgason, California Institute of Technology, 2007

